{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
{% endblock %}

{% block content %}

  <div class="ui raised segment">
    <div class="ui breadcrumb" style="margin: 2%">
      <a href="{{path('homepage')}}"class="section">Home</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristoranti_lista')}}" class="section">Ristoranti</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristorante_dettagli', { 'id': ristorante.id })}}" class="section">{{ristorante.nome}}</a>
      <i class="right angle icon divider"></i>
      <div class="active section">Tariffario asporto</div>
    </div>
  </div>

  <h2 class="ui center aligned header fly" style="margin-top: 20px; margin-left: 20px; display: none">
    <i class="shipping icon"></i>
    <div class="content" style="font-size: 38px">
      <em><strong>Tariffario asporto</strong></em>
    </div>
  </h2>

  <div class="ui divider"></div>

  <table class="ui celled table" style="margin: 1%">
    <thead>
      <tr>
        <th colspan="4" style="text-align: center">
          <h3 class="ui header">Questo ristorante effettua consegne in {{ristorante.tariffari|length}} città diverse</h3>
        </th>
      </tr>
      <tr>
        <th>CAP</th>
        <th>Tariffa</th>
      </tr>
    </thead>
    <tbody>
      {% for tariffario in ristorante.tariffari %}
        <tr>
          <td>{{tariffario.cap}}</td>
          <td>{{tariffario.prezzo}} €</td>
        </tr>
      {% endfor %}
    </tbody>
    <tfoot>
      <tr>
        <th colspan="4" style="padding-bottom: 0">
          <div style="float: right; cursor: pointer" class="icon button" data-position="left center" data-tooltip="Aggiungi una nuova tariffa" data-inverted="">
            <i id="add-to-tariffario" class="ui add circle icon" style="font-size: 40px; padding-top: 5px"></i>
          </div>
        </th>
      </tr>
    </tfoot>
  </table>

  <div id="new-tariffa-modal" class="ui small modal">
    <div class="header">Inserisci una nuova tariffa</div>
    <div class="content" style="padding: 20px">
      <form id="new-tariffa-form" class="ui form" method="post">
        <input type="hidden" name="ristorante" value="{{ristorante.id}}" />
        <div class="two fields">
          <div class="required field">
            <label>CAP</label>
            <input type="text" name="cap" placeholder="CAP" required="true">
          </div>
          <div class="required field">
            <label>Tariffa</label>
            <div class="ui right labeled input">
              <input type="number" step="0.01" min="0" placeholder="Tariffa" name="tariffa">
              <div class="ui basic label">
                €
              </div>
            </div>
          </div>
        </div>
        <div class="ui divider"></div>
        <span style="color: #DB2828; margin-right: 5px">*</span>Campo obbligatorio
        <button style="float:right" type="submit" class="submit-button ui right labeled icon positive button">
          <i class="checkmark icon"></i> Ok, ho finito!
        </button>
        <div style="margin-bottom: 10px; display: inline; float:right" class="actions">
          <div class="ui cancel button">
              Annulla
          </div>
        </div>
      </form>
    </div>
  </div>

  {% block javascripts %}

  {% endblock %}

{% endblock %}
